package com.usky.oa.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 请假单据表
 * </p>
 *
 * @author fu
 * @since 2024-12-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class OaQjDocument implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 请假单据表主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 请假类型(0:事假;1:年假;2:病假)
     */
    private Integer type;

    /**
     * 审批节点id
     */
    private Integer nodeId;

    /**
     * 单据编号
     */
    private String docNo;

    /**
     * 申请人id
     */
    private Long proposer;

    /**
     * 单据状态 (0:未提交可以修改,1:审批中,2:审批通过,3:审批不通过,4:撤销)
     */
    private Integer status;

    /**
     * 开始日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startTime;

    /**
     * 结束日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endTime;

    /**
     * 请假时长
     */
    private Integer duration;

    /**
     * 请假事由
     */
    private String reason;

    /**
     * 图片URL
     */
    private String image;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateTime;

    /**
     * 部门id
     */
    private Long deptId;

    /**
     * 租户id
     */
    private Integer tenantId;


}
